*~
.*.swp
*.bak
*.o
*.lo
*.gcno
*.gcda
*.la
*.a
*-*.gir
*.typelib
*.stamp
.dirstamp
*-enum-types.[ch]
*-glue.h
*.loT
*.pyc
Makefile
Makefile.in*
compile
depcomp
install-sh
libtool
ltmain.sh
missing
mkinstalldirs
POTFILES
stamp-*
.deps
.libs
gtk-doc.make
*.pc
cscope.*out
.clangd/
compile_commands.json
tags
valgrind-*.log
test-*.log
test-*.trs
/.zanata-cache/
.project
.cproject
.settings/

/build/

/NetworkManager-*.tar.*

/ABOUT-NLS
/INSTALL
/TAGS
/aclocal.m4
/autom4te.cache
/build-aux
/config.*
/config-extra.h
/configure
/intltool-*

/confdefs.h
/conftest.[ch]
/conftest.o.*

/contrib/fedora/rpm/NetworkManager.*.??????/
/contrib/fedora/rpm/latest0
/contrib/fedora/rpm/latest

/src/nm-dispatcher/nm-avahi-autoipd.action
/src/nm-dispatcher/nm-dispatcher
/src/nm-dispatcher/nmdbus-dispatcher.*
/src/nm-dispatcher/org.freedesktop.nm_dispatcher.service
/src/nm-dispatcher/tests/test-dispatcher-envp

/src/nm-sudo/nm-sudo
/src/nm-sudo/org.freedesktop.nm.sudo.service

/data/NetworkManager.service
/data/NetworkManager-wait-online.service
/data/NetworkManager-dispatcher.service
/data/org.freedesktop.NetworkManager.service
/data/server.conf
/data/org.freedesktop.NetworkManager.policy
/data/org.freedesktop.NetworkManager.policy.in
/data/nm-sudo.service

/docs/api/version.xml
/docs/api/settings-spec.html
/docs/api/settings-spec.xml
/docs/api/*.stamp
/docs/api/html/
/docs/api/tmpl/
/docs/api/xml/
/docs/api/NetworkManager-*.txt
/docs/api/NetworkManager-decl-list.txt.bak
/docs/api/NetworkManager-decl.txt.bak
/docs/api/NetworkManager.actions
/docs/api/NetworkManager.args
/docs/api/NetworkManager.hierarchy
/docs/api/NetworkManager.interfaces
/docs/api/NetworkManager.prerequisites
/docs/api/NetworkManager.signals
/docs/api/NetworkManager.types

/docs/api/dbus-org.freedesktop.NetworkManager*.xml

/docs/libnm/*.stamp
/docs/libnm/html/
/docs/libnm/tmpl/
/docs/libnm/xml/
/docs/libnm/libnm-*.txt
/docs/libnm/libnm.actions
/docs/libnm/libnm.args
/docs/libnm/libnm.hierarchy
/docs/libnm/libnm.interfaces
/docs/libnm/libnm.prerequisites
/docs/libnm/libnm.signals
/docs/libnm/libnm.types
/docs/libnm/version.xml

/examples/C/glib/add-connection-gdbus
/examples/C/glib/add-connection-libnm
/examples/C/glib/get-active-connections-gdbus
/examples/C/glib/get-ap-info-libnm
/examples/C/glib/list-connections-gdbus
/examples/C/glib/list-connections-libnm
/examples/C/glib/monitor-nm-running-gdbus
/examples/C/glib/monitor-nm-state-gdbus
/examples/C/glib/vpn-import-libnm
/examples/C/qt/add-connection-wired
/examples/C/qt/list-connections
/examples/C/qt/change-ipv4-addresses
/examples/C/qt/monitor-nm-running
/examples/C/qt/monitor-nm-running.moc

/introspection/org.freedesktop.NetworkManager*.[ch]

/src/libnm-core-public/nm-version-macros.h
/src/libnm-core-public/nm-dbus-types.xml
/src/libnm-core-public/nm-vpn-dbus-types.xml
/src/libnm-core-impl/tests/test-compare
/src/libnm-core-impl/tests/test-crypto
/src/libnm-core-impl/tests/test-settings-defaults
/src/libnm-core-impl/tests/test-general
/src/libnm-core-impl/tests/test-keyfile
/src/libnm-core-impl/tests/test-need-secrets
/src/libnm-core-impl/tests/test-secrets
/src/libnm-core-impl/tests/test-setting
/src/libnm-glib-aux/tests/test-json-aux
/src/libnm-glib-aux/tests/test-shared-general
/src/libnm-platform/tests/test-nm-platform

/src/libnm-client-impl/nm-property-infos-dbus.xml
/src/libnm-client-impl/nm-property-infos-ifcfg-rh.xml
/src/libnm-client-impl/nm-property-infos-keyfile.xml
/src/libnm-client-impl/nm-property-infos-nmcli.xml
/src/libnm-client-impl/nm-settings-docs-gir.xml
/src/libnm-client-impl/tests/test-libnm
/src/libnm-client-impl/tests/test-nm-client
/src/libnm-client-impl/tests/test-remote-settings-client
/src/libnm-client-impl/tests/test-secret-agent
/src/libnm-client-aux-extern/tests/test-libnm-client-aux

/src/libnmc-setting/settings-docs-input.xml
/src/libnmc-setting/settings-docs.h
/src/libnmc-setting/tests/test-libnmc-setting

/src/nm-initrd-generator/nm-initrd-generator
/src/nm-initrd-generator/tests/test-cmdline-reader
/src/nm-initrd-generator/tests/test-dt-reader
/src/nm-initrd-generator/tests/test-ibft-reader

/src/nmtui/nmtui

/src/nm-cloud-setup/nm-cloud-setup
/src/nm-cloud-setup/nm-cloud-setup.service
/src/nm-cloud-setup/tests/test-cloud-setup-general

/src/nmcli/nmcli
/src/nmcli/generate-docs-nm-settings-nmcli
/src/nmcli/generate-docs-nm-settings-nmcli.xml

/src/nm-online/nm-online

/m4/codeset.m4
/m4/gettext.m4
/m4/glibc2.m4
/m4/glibc21.m4
/m4/gtk-doc.m4
/m4/iconv.m4
/m4/intdiv0.m4
/m4/intl.m4
/m4/intldir.m4
/m4/intlmacosx.m4
/m4/intltool.m4
/m4/intmax.m4
/m4/inttypes-pri.m4
/m4/inttypes_h.m4
/m4/lcmessage.m4
/m4/lib-ld.m4
/m4/lib-link.m4
/m4/lib-prefix.m4
/m4/libtool.m4
/m4/lock.m4
/m4/longlong.m4
/m4/lt*.m4
/m4/nls.m4
/m4/po.m4
/m4/printf-posix.m4
/m4/progtest.m4
/m4/size_max.m4
/m4/stdint_h.m4
/m4/uintmax_t.m4
/m4/visibility.m4
/m4/wchar_t.m4
/m4/wint_t.m4
/m4/xsize.m4

/man/*.[1785]
/man/nm-settings-dbus.xml
/man/nm-settings-docs-dbus.xml
/man/nm-settings-docs-nmcli.xml
/man/nm-settings-ifcfg-rh.xml
/man/nm-settings-keyfile.xml
/man/nm-settings-nmcli.xml
/man/common.ent

/po/*.gmo
/po/.intltool-merge-cache
/po/NetworkManager.pot
/po/Makevars.template
/po/Rules-quot
/po/boldquot.sed
/po/en@boldquot.header
/po/en@quot.header
/po/insert-header.sin
/po/quot.sed
/po/remove-potcdate.sin

/src/core/NetworkManager
/src/core/NetworkManager-all-sym
/src/core/NetworkManager.ver
/src/core/devices/bluetooth/tests/nm-bt-test
/src/core/devices/tests/test-lldp
/src/core/devices/wifi/tests/test-devices-wifi
/src/core/devices/wwan/tests/test-service-providers
/src/core/dhcp/nm-dhcp-helper
/src/core/dhcp/tests/test-dhcp-dhclient
/src/core/dhcp/tests/test-dhcp-options
/src/core/dhcp/tests/test-dhcp-utils
/src/core/dnsmasq/tests/test-dnsmasq-utils
/src/core/ndisc/tests/test-ndisc-fake
/src/core/ndisc/tests/test-ndisc-linux
/src/core/platform/tests/monitor
/src/core/platform/tests/test-address-fake
/src/core/platform/tests/test-address-linux
/src/core/platform/tests/test-cleanup-fake
/src/core/platform/tests/test-cleanup-linux
/src/core/platform/tests/test-link-fake
/src/core/platform/tests/test-link-linux
/src/core/platform/tests/test-nmp-object
/src/core/platform/tests/test-platform-general
/src/core/platform/tests/test-route-fake
/src/core/platform/tests/test-route-linux
/src/core/platform/tests/test-tc-fake
/src/core/platform/tests/test-tc-linux
/src/core/settings/plugins/ifcfg-rh/nmdbus-ifcfg-rh.[ch]
/src/core/settings/plugins/ifcfg-rh/tests/test-ifcfg-rh
/src/core/settings/plugins/ifupdown/tests/test-ifupdown
/src/core/settings/plugins/keyfile/tests/test-keyfile-settings
/src/core/settings/plugins/ifcfg-rh/tests/network-scripts/tmp/
/src/core/supplicant/tests/test-supplicant-config
/src/core/tests/config/test-config
/src/core/tests/test-core
/src/core/tests/test-core-with-expect
/src/core/tests/test-dcb
/src/core/tests/test-ip4-config
/src/core/tests/test-ip6-config
/src/core/tests/test-l3cfg
/src/core/tests/test-route-manager-fake
/src/core/tests/test-route-manager-linux
/src/core/tests/test-systemd
/src/core/tests/test-utils
/src/core/tests/test-wired-defname

/vapi/*.vapi

# The following names are no longer present on this branch,
# but they were on older versions. Thus keep ignoring them
# otherwise when switching branches these untracked files show
# up.
/callouts/nm-avahi-autoipd.action
/callouts/nm-dispatcher
/callouts/nmdbus-dispatcher.*
/callouts/org.freedesktop.nm_dispatcher.service
/callouts/tests/test-dispatcher-envp
/clients/cli/generate-docs-nm-settings-nmcli
/clients/cli/generate-docs-nm-settings-nmcli.xml
/clients/cli/nmcli
/clients/cli/settings-docs.c
/clients/cloud-setup/nm-cloud-setup
/clients/cloud-setup/nm-cloud-setup.service
/clients/cloud-setup/tests/test-cloud-setup-general
/clients/common/settings-docs-input.xml
/clients/common/settings-docs.c
/clients/common/settings-docs.h
/clients/common/tests/test-clients-common
/clients/common/tests/test-general
/clients/common/tests/test-libnm-core-aux
/clients/nm-online
/clients/tui/nmtui
/dispatcher/nm-avahi-autoipd.action
/dispatcher/nm-dispatcher
/dispatcher/nmdbus-dispatcher.*
/dispatcher/org.freedesktop.nm_dispatcher.service
/dispatcher/tests/test-dispatcher-envp
/docs/libnm-glib/*.stamp
/docs/libnm-glib/html/
/docs/libnm-glib/libnm-glib-*.txt
/docs/libnm-glib/libnm-glib.args
/docs/libnm-glib/libnm-glib.hierarchy
/docs/libnm-glib/libnm-glib.interfaces
/docs/libnm-glib/libnm-glib.prerequisites
/docs/libnm-glib/libnm-glib.signals
/docs/libnm-glib/tmpl/
/docs/libnm-glib/version.xml
/docs/libnm-glib/xml/
/docs/libnm-util/*.stamp
/docs/libnm-util/html/
/docs/libnm-util/libnm-util-*.txt
/docs/libnm-util/libnm-util-decl-list.txt.bak
/docs/libnm-util/libnm-util-decl.txt.bak
/docs/libnm-util/libnm-util.args
/docs/libnm-util/libnm-util.hierarchy
/docs/libnm-util/libnm-util.interfaces
/docs/libnm-util/libnm-util.prerequisites
/docs/libnm-util/libnm-util.signals
/docs/libnm-util/libnm-util.types
/docs/libnm-util/tmpl/
/docs/libnm-util/version.xml
/docs/libnm-util/xml/
/include/
/initscript/*/[Nn]etwork[Mm]anager
/initscript/Slackware/rc.networkmanager
/introspection/nmdbus-*.c
/introspection/nmdbus-*.h
/introspection/nmdbus-*.xml
/libgsystem/
/libnm-core/nm-dbus-types.xml
/libnm-core/nm-version-macros.h
/libnm-core/nm-vpn-dbus-types.xml
/libnm-core/tests/test-compare
/libnm-core/tests/test-crypto
/libnm-core/tests/test-general
/libnm-core/tests/test-keyfile
/libnm-core/tests/test-need-secrets
/libnm-core/tests/test-secrets
/libnm-core/tests/test-setting
/libnm-core/tests/test-setting-8021x
/libnm-core/tests/test-setting-bond
/libnm-core/tests/test-setting-dcb
/libnm-core/tests/test-settings-defaults
/libnm-glib/libnm-glib-test
/libnm-glib/nm-secret-agent-glue.h
/libnm-glib/nm-vpn-plugin-glue.h
/libnm-glib/tests/test-nm-client
/libnm-glib/tests/test-remote-settings-client
/libnm-util/test-crypto
/libnm-util/tests/test-crypto
/libnm-util/tests/test-general
/libnm-util/tests/test-libnm-linking
/libnm-util/tests/test-need-secrets
/libnm-util/tests/test-secrets
/libnm-util/tests/test-setting-8021x
/libnm-util/tests/test-setting-dcb
/libnm-util/tests/test-settings-defaults
/libnm/fake-typelib/typelibs.c
/libnm/nm-ifcfg-rh-docs.xml
/libnm/nm-keyfile-docs.xml
/libnm/nm-property-docs.xml
/libnm/nm-property-infos-dbus.xml
/libnm/nm-property-infos-ifcfg-rh.xml
/libnm/nm-property-infos-keyfile.xml
/libnm/nm-property-infos-nmcli.xml
/libnm/nm-setting-docs-overrides.xml
/libnm/nm-setting-docs.xml
/libnm/nm-settings-docs-gir.xml
/libnm/nm-settings-docs-overrides.xml
/libnm/nm-settings-docs.xml
/libnm/nm-settings-ifcfg-rh-docs.xml
/libnm/nm-settings-keyfile-docs.xml
/libnm/tests/test-general
/libnm/tests/test-libnm
/libnm/tests/test-nm-client
/libnm/tests/test-remote-settings-client
/libnm/tests/test-secret-agent
/man/nm-settings.xml
/policy/org.freedesktop.NetworkManager.policy
/policy/org.freedesktop.NetworkManager.policy.in
/shared/nm-glib-aux/tests/test-json-aux
/shared/nm-glib-aux/tests/test-shared-general
/shared/nm-platform/tests/test-nm-platform
/shared/nm-utils/tests/test-shared-general
/shared/nm-version-macros.h
/src/NetworkManager
/src/NetworkManager-all-sym
/src/NetworkManager.ver
/src/core/devices/tests/test-acd
/src/core/initrd/nm-initrd-generator
/src/core/initrd/tests/test-cmdline-reader
/src/core/initrd/tests/test-dt-reader
/src/core/initrd/tests/test-ibft-reader
/src/core/nm-iface-helper
/src/devices/bluetooth/tests/nm-bt-test
/src/devices/tests/test-acd
/src/devices/tests/test-arping
/src/devices/tests/test-lldp
/src/devices/wifi/tests/test-devices-wifi
/src/devices/wifi/tests/test-general
/src/devices/wifi/tests/test-wifi-ap-utils
/src/devices/wwan/tests/test-service-providers
/src/dhcp-manager/nm-dhcp-helper
/src/dhcp-manager/tests/test-dhcp-dhclient
/src/dhcp-manager/tests/test-dhcp-options
/src/dhcp-manager/tests/test-dhcp-utils
/src/dhcp/nm-dhcp-helper
/src/dhcp/tests/test-dhcp-dhclient
/src/dhcp/tests/test-dhcp-options
/src/dhcp/tests/test-dhcp-utils
/src/dnsmasq-manager/tests/test-dnsmasq-utils
/src/dnsmasq/tests/test-dnsmasq-utils
/src/initrd/nm-initrd-generator
/src/initrd/tests/test-cmdline-reader
/src/initrd/tests/test-dt-reader
/src/initrd/tests/test-ibft-reader
/src/ndisc/tests/test-ndisc-fake
/src/ndisc/tests/test-ndisc-linux
/src/nm-daemon-helper/nm-daemon-helper
/src/nm-iface-helper
/src/platform/tests/dump
/src/platform/tests/monitor
/src/platform/tests/platform
/src/platform/tests/test-address-fake
/src/platform/tests/test-address-linux
/src/platform/tests/test-cleanup-fake
/src/platform/tests/test-cleanup-linux
/src/platform/tests/test-general
/src/platform/tests/test-link-fake
/src/platform/tests/test-link-linux
/src/platform/tests/test-nmp-object
/src/platform/tests/test-platform-general
/src/platform/tests/test-route-fake
/src/platform/tests/test-route-linux
/src/platform/tests/test-tc-fake
/src/platform/tests/test-tc-linux
/src/rdisc/
/src/settings/plugins/ibft/tests/test-ibft
/src/settings/plugins/ifcfg-rh/nmdbus-ifcfg-rh.[ch]
/src/settings/plugins/ifcfg-rh/tests/network-scripts/tmp/
/src/settings/plugins/ifcfg-rh/tests/test-ifcfg-rh
/src/settings/plugins/ifcfg-rh/tests/test-ifcfg-rh-utils
/src/settings/plugins/ifnet
/src/settings/plugins/ifupdown/tests/test-ifupdown
/src/settings/plugins/keyfile/tests/test-keyfile
/src/settings/plugins/keyfile/tests/test-keyfile-settings
/src/supplicant-manager/tests/test-supplicant-config
/src/supplicant/tests/test-supplicant-config
/src/tests/config/test-config
/src/tests/test-core
/src/tests/test-core-with-expect
/src/tests/test-dcb
/src/tests/test-general
/src/tests/test-general-with-expect
/src/tests/test-ip4-config
/src/tests/test-ip6-config
/src/tests/test-l3cfg
/src/tests/test-resolvconf-capture
/src/tests/test-route-manager-fake
/src/tests/test-route-manager-linux
/src/tests/test-systemd
/src/tests/test-utils
/src/tests/test-wired-defname
